# TCLAP::ArgTraits< std::string > Struct Template Reference

Strings have string like argument traits. More...

`#include <StandardTraits.h>`

List of all members.

## Public Types
typedef StringLike | ValueCategory

## Detailed Description

### template<>
struct TCLAP::ArgTraits< std::string >

Strings have string like argument traits.

Definition at line 195 of file StandardTraits.h.

## Member Typedef Documentation

typedef StringLike TCLAP::ArgTraits< std::string >::ValueCategory

Definition at line 196 of file StandardTraits.h.

The documentation for this struct was generated from the following file:

- StandardTraits.h